Enum Class ReportSort
- All Implemented Interfaces:
Serializable, Comparable<ReportSort>, Constable
Sort order for
GET /v1/reportCenter/reports (sorts, Reports v1 spec). A leading
- on the wire value sorts descending; the service default is -GENERATED_DATE.-
Nested Class Summary
Nested classes/interfaces inherited from class Enum
Enum.EnumDesc<E> -
Enum Constant Summary
Enum ConstantsEnum ConstantDescriptionGENERATED_DATE, ascending.-GENERATED_DATE, descending (service default).REPORT_NAME, ascending.-REPORT_NAME, descending.REQUESTED_DATE, ascending.-REQUESTED_DATE, descending. -
Method Summary
Modifier and TypeMethodDescriptiongetValue()Returns the wire value.static ReportSortReturns the enum constant of this class with the specified name.static ReportSort[]values()Returns an array containing the constants of this enum class, in the order they are declared.
-
Enum Constant Details
-
REPORT_NAME_ASC
REPORT_NAME, ascending. -
REPORT_NAME_DESC
-REPORT_NAME, descending. -
GENERATED_DATE_ASC
GENERATED_DATE, ascending. -
GENERATED_DATE_DESC
-GENERATED_DATE, descending (service default). -
REQUESTED_DATE_ASC
REQUESTED_DATE, ascending. -
REQUESTED_DATE_DESC
-REQUESTED_DATE, descending.
-
-
Method Details
-
values
Returns an array containing the constants of this enum class, in the order they are declared.- Returns:
- an array containing the constants of this enum class, in the order they are declared
-
valueOf
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)- Parameters:
name- the name of the enum constant to be returned.- Returns:
- the enum constant with the specified name
- Throws:
IllegalArgumentException- if this enum class has no constant with the specified nameNullPointerException- if the argument is null
-
getValue
-